Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.standard
Class StandardRouter

    java.lang.Object
      rice.pastry.client.PastryAppl
          rice.pastry.standard.StandardRouter

All Implemented Interfaces:
  java.util.Observer

    public class StandardRouter

extends PastryAppl

An implementation of the standard Pastry routing algorithm.

Version:
  $Id: StandardRouter.java 3404 2006-09-13 16:30:22Z jeffh $
Author:
  Andrew Ladd, Rongmei Zhang/Y.Charlie Hu

Field Summary

Fields inherited from class rice.pastry.client.PastryAppl
`address, deserializer, instance, logger, receiver, thePastryNode`

Constructor Summary
`StandardRouter(PastryNode thePastryNode)` Constructor.

Method Summary
`boolean` | `deliverWhenNotReady()` DESCRIBE THE METHOD
`void` | `messageForAppl(Message msg)` DESCRIBE THE METHOD
`void` | `receiveMessage(Message msg)` Receive a message from a remote node.

Methods inherited from class rice.pastry.client.PastryAppl
`accept, connect, destroy, enrouteMessage, getAddress, getLeafSet, getNodeHandle, getNodeId, getRoutingTable, isClosest, leafSetChange, notifyReady, receiveMessageInternal, receiveSocket, register, routeMsg, routeMsgDirect, routeSetChange, setDeserializer, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardRouter

    public StandardRouter(PastryNode thePastryNode)

  Constructor.

  Parameters:
    `thePastryNode` - DESCRIBE THE PARAMETER

Method Detail

### receiveMessage

    public void receiveMessage(Message msg)

  Receive a message from a remote node.

  Overrides:
    `receiveMessage` in class `PastryAppl`
  Parameters:
    `msg` - the message.

### deliverWhenNotReady

    public boolean deliverWhenNotReady()

  DESCRIBE THE METHOD

  Overrides:
    `deliverWhenNotReady` in class `PastryAppl`
  Returns:
    DESCRIBE THE RETURN VALUE

### messageForAppl

    public void messageForAppl(Message msg)

  DESCRIBE THE METHOD

  Specified by:
    `messageForAppl` in class `PastryAppl`
  Parameters:
    `msg` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.